<script setup lang="ts">
import { defineProps, defineEmits } from 'vue'
import { type Continent } from '@/pages/home/interfaces/IContinentCountry'

defineProps<{
  continentsWithImg: Continent[]
}>()

const emit = defineEmits<{
  (e: 'toggleSelection', index: number): void
}>()

const toggleContinentSelection = (index: number) => {
  emit('toggleSelection', index)
}
</script>

<template>
  <article
    class="continent"
    v-for="(continent, index) in continentsWithImg"
    :key="index"
    @click="toggleContinentSelection(index)"
    :class="{ selected: continent.selected }"
  >
    <img :src="continent.img" alt="Esto es un logo" />
    <p>{{ continent.name }}</p>
  </article>
</template>

<style scoped>
.continent img {
  width: 150px;
  height: 150px;
  object-fit: cover;
}

.continent {
  text-align: center;
  padding: 10px;
  border-radius: 10px;
  background-color: var(--color-4);
}

.selected {
  background-color: var(--color-5);
}
</style>
